From 8de6c1d5b5fcb3833aff595fd417bfdbc663db0d Mon Sep 17 00:00:00 2001
From: =?utf8?q?Roland=20H=C3=A4der?= <roland@mxchange.org>
Date: Sat, 25 Jun 2022 15:41:49 +0200
Subject: [PATCH] Also allow explicit push to "origin"

---
 push-stick.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/push-stick.sh b/push-stick.sh
index 1fcc7dc..3c02302 100755
--- a/push-stick.sh
+++ b/push-stick.sh
@@ -55,6 +55,14 @@ for project in ${LIST}; do
 		fi
 
 		git push ${FORCE} --all upstream || exit 255
+	elif [ "$1" = "o" ]
+	then
+		if [ -n "$2" ]
+		then
+			git push origin :"$2"
+		fi
+
+		git push ${FORCE} --all origin || exit 255
 	else
 		if [ -n "$2" ]
 		then
-- 
2.39.5